import { GridColumn } from '../../grid-control.model';
export interface OriginColumn {
    field: string;
    title: string;
    width?: string;
    fixed?: boolean;
}
export interface ConfigOption {
    key?: string;
    pageSize: number;
    columns: GridColumn[];
}
export interface ConfigResult {
    pageSize: number;
    columns: GridColumn[];
    fixedColumns: GridColumn[];
    normalColumns: GridColumn[];
}
export interface ConfigStorage {
    pageSize?: number;
    columnConfigs?: ConfigColumn[];
}
export interface ConfigColumn {
    originColumn: OriginColumn;
    title?: string;
    width?: string;
    hidden?: boolean;
    fixed?: boolean;
}
